Bug 1321395 - Bluetooth panel can't find the Bluetooth controller
Summary: Bluetooth panel can't find the Bluetooth controller
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-26 04:25 UTC by Nicholas Miell
Modified: 2018-05-29 11:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:54:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicholas Miell 2016-03-26 04:25:18 UTC
Description of problem:
The Bluetooth panel of GNOME Control Center says "No Bluetooth Found" "Plug in a dongle to use Bluetooth." despite a USB Bluetooth dongle being attached and visible to the bluetoothctl command and capable of listing/pairing/trusting/etc. Bluetooth devices.

Version-Release number of selected component (if applicable):
control-center-3.18.2-1.fc23.x86_64
gnome-bluetooth-3.18.1-1.fc23.x86_64
bluez-5.36-1.fc23.x86_64
kernel-4.4.6-300.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Plug in a Bluetooth dongle.
2. Start GNOME Control Center.
3. Click the Bluetooth icon.
4. Observe the Bluetooth control panel's denial of the existence of the Bluetooth controller.
5. Run bluetoothctl in a Terminal window.
6. List Bluetooth controllers, etc.

Actual results:
Bluetooth control panel insists there is no Bluetooth dongle attached.

Expected results:
Bluetooth control panel can control the Bluetooth dongle.

Additional info:
This used to work in the past.

Comment 1 Oliver Schinagl 2016-04-07 19:40:49 UTC
Just confirming (while on debian!) so likely an upstream problem.

gnome-control-center 1:3.18.2-1 amd64
gnome-blutooth N/A
bluez N/A
kernel-4.6.0-rc1

also, bluetoothctl works fine and the tray icon pops up on connection.

Comment 2 Nicholas Miell 2016-04-08 18:29:16 UTC
Issue appears to be fixed with bluez-5.38-1.fc23.x86_64

Comment 3 Oliver Schinagl 2016-04-09 09:43:54 UTC
I don't think though that the gnome-control-center relies on bluez does it? Its not a dependency (and not even installed) on my debian system ...

Comment 4 Nicholas Miell 2016-05-04 23:17:18 UTC
Issue seems to have returned with bluez-5.39-1.fc23.x86_64, or else it was never fixed and just happens randomly.

Comment 5 Oliver Schinagl 2016-05-05 08:45:13 UTC
I think it was a random thing, because I don't think bluez is needed for the gnome control center applet. I don't have bluez at all and the bluetooth functions work just fine via bluetoothctl etc.

Comment 6 Nicholas Miell 2016-05-05 08:49:31 UTC
bluetoothctl is a part of bluez, control-center requires gnome-bluetooth, gnome-bluetooth requires bluez

Comment 7 Oliver Schinagl 2016-05-05 09:11:12 UTC
I stand corrected.
bluez                         5.36-1              amd64               Bluetooth tools and daemons
is my version.

But i swear couldn't find the package first time i looked. My mistake, sorry!

Comment 8 Fedora End Of Life 2016-11-24 16:15:02 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ricardo Fuentes 2017-09-05 18:36:30 UTC
What evidence I can provide to help with the debugging? Cheers!

Comment 10 Fedora End Of Life 2017-11-16 18:40:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Jan Vlug 2018-02-01 12:25:21 UTC
I confirm this issue on Fedora 27.

I have the following installed:
dnf list installed | grep blue
NetworkManager-bluetooth.x86_64            1:1.8.6-1.fc27              @updates 
bluez.x86_64                               5.48-1.fc27                 @updates 
bluez-cups.x86_64                          5.48-1.fc27                 @updates 
bluez-libs.x86_64                          5.48-1.fc27                 @updates 
bluez-obexd.x86_64                         5.48-1.fc27                 @updates 
gnome-bluetooth.x86_64                     1:3.26.1-1.fc27             @fedora  
gnome-bluetooth-libs.x86_64                1:3.26.1-1.fc27             @fedora  
pulseaudio-module-bluetooth.x86_64         11.1-7.fc27                 @updates 

when I plug in the USB Bluetooth dongle, the log shows:
feb 01 13:24:39 nyx kernel: usb 1-3: new full-speed USB device number 7 using xhci_hcd
feb 01 13:24:39 nyx kernel: usb 1-3: device descriptor read/64, error -71
feb 01 13:24:39 nyx kernel: usb 1-3: New USB device found, idVendor=0a12, idProduct=0001
feb 01 13:24:39 nyx kernel: usb 1-3: New USB device strings: Mfr=0, Product=0, SerialNumber=0
feb 01 13:24:39 nyx systemd[1]: Starting Load/Save RF Kill Switch Status...
feb 01 13:24:39 nyx systemd[1]: Reached target Bluetooth.
feb 01 13:24:39 nyx systemd[1]: Started Load/Save RF Kill Switch Status.
feb 01 13:24:39 nyx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-rfkill comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
feb 01 13:24:40 nyx bluetoothd[6988]: LEAdvertisingManager skipped, LE unavailable
feb 01 13:24:40 nyx bluetoothd[6988]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
feb 01 13:24:40 nyx bluetoothd[6988]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSink
feb 01 13:24:44 nyx audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-rfkill comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

Comment 12 Fedora End Of Life 2018-05-03 08:42:42 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2018-05-29 11:54:39 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.